// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proto/authentication.proto

package proto

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type RequestOtpRequest struct {
	PhoneNumber          string   `protobuf:"bytes,1,opt,name=phone_number,json=phoneNumber,proto3" json:"phone_number,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RequestOtpRequest) Reset()         { *m = RequestOtpRequest{} }
func (m *RequestOtpRequest) String() string { return proto.CompactTextString(m) }
func (*RequestOtpRequest) ProtoMessage()    {}
func (*RequestOtpRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_780e2df7d792c165, []int{0}
}

func (m *RequestOtpRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RequestOtpRequest.Unmarshal(m, b)
}
func (m *RequestOtpRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RequestOtpRequest.Marshal(b, m, deterministic)
}
func (m *RequestOtpRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RequestOtpRequest.Merge(m, src)
}
func (m *RequestOtpRequest) XXX_Size() int {
	return xxx_messageInfo_RequestOtpRequest.Size(m)
}
func (m *RequestOtpRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RequestOtpRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RequestOtpRequest proto.InternalMessageInfo

func (m *RequestOtpRequest) GetPhoneNumber() string {
	if m != nil {
		return m.PhoneNumber
	}
	return ""
}

type RequestOtpResponse struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RequestOtpResponse) Reset()         { *m = RequestOtpResponse{} }
func (m *RequestOtpResponse) String() string { return proto.CompactTextString(m) }
func (*RequestOtpResponse) ProtoMessage()    {}
func (*RequestOtpResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_780e2df7d792c165, []int{1}
}

func (m *RequestOtpResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RequestOtpResponse.Unmarshal(m, b)
}
func (m *RequestOtpResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RequestOtpResponse.Marshal(b, m, deterministic)
}
func (m *RequestOtpResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RequestOtpResponse.Merge(m, src)
}
func (m *RequestOtpResponse) XXX_Size() int {
	return xxx_messageInfo_RequestOtpResponse.Size(m)
}
func (m *RequestOtpResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_RequestOtpResponse.DiscardUnknown(m)
}

var xxx_messageInfo_RequestOtpResponse proto.InternalMessageInfo

func (m *RequestOtpResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

type SubmitOtpRequest struct {
	Otp                  int32    `protobuf:"varint,1,opt,name=otp,proto3" json:"otp,omitempty"`
	PhoneNumber          string   `protobuf:"bytes,2,opt,name=phone_number,json=phoneNumber,proto3" json:"phone_number,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SubmitOtpRequest) Reset()         { *m = SubmitOtpRequest{} }
func (m *SubmitOtpRequest) String() string { return proto.CompactTextString(m) }
func (*SubmitOtpRequest) ProtoMessage()    {}
func (*SubmitOtpRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_780e2df7d792c165, []int{2}
}

func (m *SubmitOtpRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubmitOtpRequest.Unmarshal(m, b)
}
func (m *SubmitOtpRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubmitOtpRequest.Marshal(b, m, deterministic)
}
func (m *SubmitOtpRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubmitOtpRequest.Merge(m, src)
}
func (m *SubmitOtpRequest) XXX_Size() int {
	return xxx_messageInfo_SubmitOtpRequest.Size(m)
}
func (m *SubmitOtpRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SubmitOtpRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SubmitOtpRequest proto.InternalMessageInfo

func (m *SubmitOtpRequest) GetOtp() int32 {
	if m != nil {
		return m.Otp
	}
	return 0
}

func (m *SubmitOtpRequest) GetPhoneNumber() string {
	if m != nil {
		return m.PhoneNumber
	}
	return ""
}

type SubmitOtpResponse struct {
	OtpAuthenticationId  string   `protobuf:"bytes,1,opt,name=otp_authentication_id,json=otpAuthenticationId,proto3" json:"otp_authentication_id,omitempty"`
	Token                string   `protobuf:"bytes,2,opt,name=token,proto3" json:"token,omitempty"`
	UserData             string   `protobuf:"bytes,3,opt,name=user_data,json=userData,proto3" json:"user_data,omitempty"`
	IsNewUser            bool     `protobuf:"varint,4,opt,name=is_new_user,json=isNewUser,proto3" json:"is_new_user,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SubmitOtpResponse) Reset()         { *m = SubmitOtpResponse{} }
func (m *SubmitOtpResponse) String() string { return proto.CompactTextString(m) }
func (*SubmitOtpResponse) ProtoMessage()    {}
func (*SubmitOtpResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_780e2df7d792c165, []int{3}
}

func (m *SubmitOtpResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubmitOtpResponse.Unmarshal(m, b)
}
func (m *SubmitOtpResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubmitOtpResponse.Marshal(b, m, deterministic)
}
func (m *SubmitOtpResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubmitOtpResponse.Merge(m, src)
}
func (m *SubmitOtpResponse) XXX_Size() int {
	return xxx_messageInfo_SubmitOtpResponse.Size(m)
}
func (m *SubmitOtpResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SubmitOtpResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SubmitOtpResponse proto.InternalMessageInfo

func (m *SubmitOtpResponse) GetOtpAuthenticationId() string {
	if m != nil {
		return m.OtpAuthenticationId
	}
	return ""
}

func (m *SubmitOtpResponse) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

func (m *SubmitOtpResponse) GetUserData() string {
	if m != nil {
		return m.UserData
	}
	return ""
}

func (m *SubmitOtpResponse) GetIsNewUser() bool {
	if m != nil {
		return m.IsNewUser
	}
	return false
}

type SubmitPersonalInfoRequest struct {
	FullName             string   `protobuf:"bytes,1,opt,name=full_name,json=fullName,proto3" json:"full_name,omitempty"`
	EmailAddress         string   `protobuf:"bytes,2,opt,name=email_address,json=emailAddress,proto3" json:"email_address,omitempty"`
	Password             string   `protobuf:"bytes,3,opt,name=password,proto3" json:"password,omitempty"`
	PhoneNumber          string   `protobuf:"bytes,4,opt,name=phone_number,json=phoneNumber,proto3" json:"phone_number,omitempty"`
	OtpAuthenticationId  string   `protobuf:"bytes,5,opt,name=otp_authentication_id,json=otpAuthenticationId,proto3" json:"otp_authentication_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SubmitPersonalInfoRequest) Reset()         { *m = SubmitPersonalInfoRequest{} }
func (m *SubmitPersonalInfoRequest) String() string { return proto.CompactTextString(m) }
func (*SubmitPersonalInfoRequest) ProtoMessage()    {}
func (*SubmitPersonalInfoRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_780e2df7d792c165, []int{4}
}

func (m *SubmitPersonalInfoRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubmitPersonalInfoRequest.Unmarshal(m, b)
}
func (m *SubmitPersonalInfoRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubmitPersonalInfoRequest.Marshal(b, m, deterministic)
}
func (m *SubmitPersonalInfoRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubmitPersonalInfoRequest.Merge(m, src)
}
func (m *SubmitPersonalInfoRequest) XXX_Size() int {
	return xxx_messageInfo_SubmitPersonalInfoRequest.Size(m)
}
func (m *SubmitPersonalInfoRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SubmitPersonalInfoRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SubmitPersonalInfoRequest proto.InternalMessageInfo

func (m *SubmitPersonalInfoRequest) GetFullName() string {
	if m != nil {
		return m.FullName
	}
	return ""
}

func (m *SubmitPersonalInfoRequest) GetEmailAddress() string {
	if m != nil {
		return m.EmailAddress
	}
	return ""
}

func (m *SubmitPersonalInfoRequest) GetPassword() string {
	if m != nil {
		return m.Password
	}
	return ""
}

func (m *SubmitPersonalInfoRequest) GetPhoneNumber() string {
	if m != nil {
		return m.PhoneNumber
	}
	return ""
}

func (m *SubmitPersonalInfoRequest) GetOtpAuthenticationId() string {
	if m != nil {
		return m.OtpAuthenticationId
	}
	return ""
}

type SubmitPersonalInfoResponse struct {
	Token                string   `protobuf:"bytes,1,opt,name=token,proto3" json:"token,omitempty"`
	UserData             string   `protobuf:"bytes,2,opt,name=user_data,json=userData,proto3" json:"user_data,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SubmitPersonalInfoResponse) Reset()         { *m = SubmitPersonalInfoResponse{} }
func (m *SubmitPersonalInfoResponse) String() string { return proto.CompactTextString(m) }
func (*SubmitPersonalInfoResponse) ProtoMessage()    {}
func (*SubmitPersonalInfoResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_780e2df7d792c165, []int{5}
}

func (m *SubmitPersonalInfoResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubmitPersonalInfoResponse.Unmarshal(m, b)
}
func (m *SubmitPersonalInfoResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubmitPersonalInfoResponse.Marshal(b, m, deterministic)
}
func (m *SubmitPersonalInfoResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubmitPersonalInfoResponse.Merge(m, src)
}
func (m *SubmitPersonalInfoResponse) XXX_Size() int {
	return xxx_messageInfo_SubmitPersonalInfoResponse.Size(m)
}
func (m *SubmitPersonalInfoResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SubmitPersonalInfoResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SubmitPersonalInfoResponse proto.InternalMessageInfo

func (m *SubmitPersonalInfoResponse) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

func (m *SubmitPersonalInfoResponse) GetUserData() string {
	if m != nil {
		return m.UserData
	}
	return ""
}

type ResetPasswordRequest struct {
	Email                string   `protobuf:"bytes,1,opt,name=email,proto3" json:"email,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ResetPasswordRequest) Reset()         { *m = ResetPasswordRequest{} }
func (m *ResetPasswordRequest) String() string { return proto.CompactTextString(m) }
func (*ResetPasswordRequest) ProtoMessage()    {}
func (*ResetPasswordRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_780e2df7d792c165, []int{6}
}

func (m *ResetPasswordRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ResetPasswordRequest.Unmarshal(m, b)
}
func (m *ResetPasswordRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ResetPasswordRequest.Marshal(b, m, deterministic)
}
func (m *ResetPasswordRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ResetPasswordRequest.Merge(m, src)
}
func (m *ResetPasswordRequest) XXX_Size() int {
	return xxx_messageInfo_ResetPasswordRequest.Size(m)
}
func (m *ResetPasswordRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ResetPasswordRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ResetPasswordRequest proto.InternalMessageInfo

func (m *ResetPasswordRequest) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

type ResetPasswordResponse struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ResetPasswordResponse) Reset()         { *m = ResetPasswordResponse{} }
func (m *ResetPasswordResponse) String() string { return proto.CompactTextString(m) }
func (*ResetPasswordResponse) ProtoMessage()    {}
func (*ResetPasswordResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_780e2df7d792c165, []int{7}
}

func (m *ResetPasswordResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ResetPasswordResponse.Unmarshal(m, b)
}
func (m *ResetPasswordResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ResetPasswordResponse.Marshal(b, m, deterministic)
}
func (m *ResetPasswordResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ResetPasswordResponse.Merge(m, src)
}
func (m *ResetPasswordResponse) XXX_Size() int {
	return xxx_messageInfo_ResetPasswordResponse.Size(m)
}
func (m *ResetPasswordResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ResetPasswordResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ResetPasswordResponse proto.InternalMessageInfo

func (m *ResetPasswordResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

type ConfirmResetPasswordRequest struct {
	Token                string   `protobuf:"bytes,1,opt,name=token,proto3" json:"token,omitempty"`
	Password             string   `protobuf:"bytes,2,opt,name=password,proto3" json:"password,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ConfirmResetPasswordRequest) Reset()         { *m = ConfirmResetPasswordRequest{} }
func (m *ConfirmResetPasswordRequest) String() string { return proto.CompactTextString(m) }
func (*ConfirmResetPasswordRequest) ProtoMessage()    {}
func (*ConfirmResetPasswordRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_780e2df7d792c165, []int{8}
}

func (m *ConfirmResetPasswordRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ConfirmResetPasswordRequest.Unmarshal(m, b)
}
func (m *ConfirmResetPasswordRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ConfirmResetPasswordRequest.Marshal(b, m, deterministic)
}
func (m *ConfirmResetPasswordRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ConfirmResetPasswordRequest.Merge(m, src)
}
func (m *ConfirmResetPasswordRequest) XXX_Size() int {
	return xxx_messageInfo_ConfirmResetPasswordRequest.Size(m)
}
func (m *ConfirmResetPasswordRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ConfirmResetPasswordRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ConfirmResetPasswordRequest proto.InternalMessageInfo

func (m *ConfirmResetPasswordRequest) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

func (m *ConfirmResetPasswordRequest) GetPassword() string {
	if m != nil {
		return m.Password
	}
	return ""
}

type ConfirmResetPasswordResponse struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ConfirmResetPasswordResponse) Reset()         { *m = ConfirmResetPasswordResponse{} }
func (m *ConfirmResetPasswordResponse) String() string { return proto.CompactTextString(m) }
func (*ConfirmResetPasswordResponse) ProtoMessage()    {}
func (*ConfirmResetPasswordResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_780e2df7d792c165, []int{9}
}

func (m *ConfirmResetPasswordResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ConfirmResetPasswordResponse.Unmarshal(m, b)
}
func (m *ConfirmResetPasswordResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ConfirmResetPasswordResponse.Marshal(b, m, deterministic)
}
func (m *ConfirmResetPasswordResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ConfirmResetPasswordResponse.Merge(m, src)
}
func (m *ConfirmResetPasswordResponse) XXX_Size() int {
	return xxx_messageInfo_ConfirmResetPasswordResponse.Size(m)
}
func (m *ConfirmResetPasswordResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ConfirmResetPasswordResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ConfirmResetPasswordResponse proto.InternalMessageInfo

func (m *ConfirmResetPasswordResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

type LoginRequest struct {
	Email                string   `protobuf:"bytes,1,opt,name=email,proto3" json:"email,omitempty"`
	Password             string   `protobuf:"bytes,2,opt,name=password,proto3" json:"password,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *LoginRequest) Reset()         { *m = LoginRequest{} }
func (m *LoginRequest) String() string { return proto.CompactTextString(m) }
func (*LoginRequest) ProtoMessage()    {}
func (*LoginRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_780e2df7d792c165, []int{10}
}

func (m *LoginRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LoginRequest.Unmarshal(m, b)
}
func (m *LoginRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LoginRequest.Marshal(b, m, deterministic)
}
func (m *LoginRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LoginRequest.Merge(m, src)
}
func (m *LoginRequest) XXX_Size() int {
	return xxx_messageInfo_LoginRequest.Size(m)
}
func (m *LoginRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_LoginRequest.DiscardUnknown(m)
}

var xxx_messageInfo_LoginRequest proto.InternalMessageInfo

func (m *LoginRequest) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

func (m *LoginRequest) GetPassword() string {
	if m != nil {
		return m.Password
	}
	return ""
}

type LoginResponse struct {
	Token                string   `protobuf:"bytes,1,opt,name=token,proto3" json:"token,omitempty"`
	UserData             string   `protobuf:"bytes,2,opt,name=user_data,json=userData,proto3" json:"user_data,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *LoginResponse) Reset()         { *m = LoginResponse{} }
func (m *LoginResponse) String() string { return proto.CompactTextString(m) }
func (*LoginResponse) ProtoMessage()    {}
func (*LoginResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_780e2df7d792c165, []int{11}
}

func (m *LoginResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LoginResponse.Unmarshal(m, b)
}
func (m *LoginResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LoginResponse.Marshal(b, m, deterministic)
}
func (m *LoginResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LoginResponse.Merge(m, src)
}
func (m *LoginResponse) XXX_Size() int {
	return xxx_messageInfo_LoginResponse.Size(m)
}
func (m *LoginResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_LoginResponse.DiscardUnknown(m)
}

var xxx_messageInfo_LoginResponse proto.InternalMessageInfo

func (m *LoginResponse) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

func (m *LoginResponse) GetUserData() string {
	if m != nil {
		return m.UserData
	}
	return ""
}

func init() {
	proto.RegisterType((*RequestOtpRequest)(nil), "com.connectroutes.authentication.RequestOtpRequest")
	proto.RegisterType((*RequestOtpResponse)(nil), "com.connectroutes.authentication.RequestOtpResponse")
	proto.RegisterType((*SubmitOtpRequest)(nil), "com.connectroutes.authentication.SubmitOtpRequest")
	proto.RegisterType((*SubmitOtpResponse)(nil), "com.connectroutes.authentication.SubmitOtpResponse")
	proto.RegisterType((*SubmitPersonalInfoRequest)(nil), "com.connectroutes.authentication.SubmitPersonalInfoRequest")
	proto.RegisterType((*SubmitPersonalInfoResponse)(nil), "com.connectroutes.authentication.SubmitPersonalInfoResponse")
	proto.RegisterType((*ResetPasswordRequest)(nil), "com.connectroutes.authentication.ResetPasswordRequest")
	proto.RegisterType((*ResetPasswordResponse)(nil), "com.connectroutes.authentication.ResetPasswordResponse")
	proto.RegisterType((*ConfirmResetPasswordRequest)(nil), "com.connectroutes.authentication.ConfirmResetPasswordRequest")
	proto.RegisterType((*ConfirmResetPasswordResponse)(nil), "com.connectroutes.authentication.ConfirmResetPasswordResponse")
	proto.RegisterType((*LoginRequest)(nil), "com.connectroutes.authentication.LoginRequest")
	proto.RegisterType((*LoginResponse)(nil), "com.connectroutes.authentication.LoginResponse")
}

func init() { proto.RegisterFile("proto/authentication.proto", fileDescriptor_780e2df7d792c165) }

var fileDescriptor_780e2df7d792c165 = []byte{
	// 581 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x9c, 0x55, 0xcd, 0x6e, 0xd3, 0x4c,
	0x14, 0xfd, 0x9c, 0xd6, 0x6d, 0x72, 0x9b, 0x48, 0xed, 0x7c, 0x89, 0x14, 0x1c, 0x84, 0x82, 0xd9,
	0x74, 0x81, 0x5c, 0x91, 0xa0, 0x82, 0xc4, 0x8f, 0x68, 0x41, 0x42, 0x95, 0x50, 0x52, 0xa5, 0x62,
	0xc3, 0xc6, 0x9a, 0xc4, 0x37, 0xad, 0x21, 0x9e, 0x31, 0x9e, 0x71, 0x23, 0xb6, 0xbc, 0x01, 0x2b,
	0x24, 0xde, 0x80, 0xb7, 0xe1, 0x91, 0x50, 0x26, 0xb6, 0x89, 0x6b, 0x27, 0x4e, 0xb2, 0x8a, 0xe7,
	0x78, 0xee, 0x39, 0xe7, 0x9e, 0xcc, 0x5c, 0x83, 0xe1, 0x07, 0x5c, 0xf2, 0x13, 0x1a, 0xca, 0x1b,
	0x64, 0xd2, 0x1d, 0x51, 0xe9, 0x72, 0x66, 0x29, 0x90, 0xb4, 0x47, 0xdc, 0xb3, 0x46, 0x9c, 0x31,
	0x1c, 0xc9, 0x80, 0x87, 0x12, 0x85, 0x95, 0xde, 0x67, 0x9e, 0xc2, 0xd1, 0x00, 0xbf, 0x86, 0x28,
	0x64, 0x5f, 0xfa, 0xd1, 0x13, 0x79, 0x08, 0x55, 0xff, 0x86, 0x33, 0xb4, 0x59, 0xe8, 0x0d, 0x31,
	0x68, 0x6a, 0x6d, 0xed, 0xb8, 0x32, 0x38, 0x50, 0x58, 0x4f, 0x41, 0xa6, 0x05, 0x64, 0xb1, 0x4e,
	0xf8, 0x9c, 0x09, 0x24, 0x4d, 0xd8, 0xf7, 0x50, 0x08, 0x7a, 0x8d, 0x51, 0x4d, 0xbc, 0x34, 0xdf,
	0xc3, 0xe1, 0x55, 0x38, 0xf4, 0xdc, 0x45, 0x99, 0x43, 0xd8, 0xe1, 0xd2, 0x57, 0x3b, 0xf5, 0xc1,
	0xec, 0x31, 0x23, 0x5c, 0xca, 0x0a, 0xff, 0xd2, 0xe0, 0x68, 0x81, 0x29, 0x12, 0xee, 0x40, 0x83,
	0x4b, 0xdf, 0x4e, 0x37, 0x67, 0xbb, 0x4e, 0x64, 0xe3, 0x7f, 0x2e, 0xfd, 0xb3, 0xd4, 0xbb, 0x0b,
	0x87, 0xd4, 0x41, 0x97, 0xfc, 0x0b, 0xb2, 0x48, 0x65, 0xbe, 0x20, 0x2d, 0xa8, 0x84, 0x02, 0x03,
	0xdb, 0xa1, 0x92, 0x36, 0x77, 0xd4, 0x9b, 0xf2, 0x0c, 0x78, 0x47, 0x25, 0x25, 0x0f, 0xe0, 0xc0,
	0x15, 0x36, 0xc3, 0xa9, 0x3d, 0x83, 0x9a, 0xbb, 0x6d, 0xed, 0xb8, 0x3c, 0xa8, 0xb8, 0xa2, 0x87,
	0xd3, 0x8f, 0x02, 0x03, 0xf3, 0x8f, 0x06, 0xf7, 0xe6, 0xe6, 0x2e, 0x31, 0x10, 0x9c, 0xd1, 0xc9,
	0x05, 0x1b, 0xf3, 0xb8, 0xdf, 0x16, 0x54, 0xc6, 0xe1, 0x64, 0x62, 0x33, 0xea, 0xc5, 0xf9, 0x94,
	0x67, 0x40, 0x8f, 0x7a, 0x48, 0x1e, 0x41, 0x0d, 0x3d, 0xea, 0x4e, 0x6c, 0xea, 0x38, 0x01, 0x0a,
	0x11, 0xb9, 0xaa, 0x2a, 0xf0, 0x6c, 0x8e, 0x11, 0x03, 0xca, 0x3e, 0x15, 0x62, 0xca, 0x03, 0x27,
	0xf6, 0x16, 0xaf, 0x33, 0xd9, 0xed, 0x66, 0xb2, 0x5b, 0x9e, 0x92, 0xbe, 0x34, 0x25, 0xb3, 0x0f,
	0x46, 0x5e, 0x47, 0x51, 0xee, 0x49, 0x86, 0xda, 0xd2, 0x0c, 0x4b, 0xe9, 0x0c, 0xcd, 0xc7, 0x50,
	0x1f, 0xa0, 0x40, 0x79, 0x19, 0x19, 0x8f, 0xd3, 0xa9, 0x83, 0xae, 0x7a, 0x8d, 0xa9, 0xd4, 0xc2,
	0x7c, 0x02, 0x8d, 0x3b, 0xbb, 0x0b, 0x8f, 0x5a, 0x1f, 0x5a, 0x6f, 0x39, 0x1b, 0xbb, 0x81, 0xb7,
	0x4c, 0x27, 0xc7, 0xf2, 0x62, 0xb2, 0xa5, 0x74, 0xb2, 0xe6, 0x73, 0xb8, 0x9f, 0x4f, 0x58, 0x68,
	0xe5, 0x0d, 0x54, 0x3f, 0xf0, 0x6b, 0x97, 0xad, 0xec, 0x71, 0xa5, 0xf6, 0x39, 0xd4, 0x22, 0x86,
	0xad, 0x13, 0xef, 0xfc, 0xde, 0x83, 0x46, 0xfa, 0x7f, 0xbd, 0xc2, 0xe0, 0xd6, 0x1d, 0x21, 0xf9,
	0x0c, 0xba, 0x62, 0x27, 0x96, 0x55, 0x34, 0x29, 0xac, 0xc5, 0x46, 0x8c, 0x93, 0xb5, 0xf7, 0xcf,
	0x6d, 0x9b, 0xff, 0x91, 0x6f, 0x00, 0xff, 0x26, 0x06, 0xe9, 0x16, 0x13, 0x64, 0xe6, 0x92, 0xf1,
	0x74, 0xb3, 0xa2, 0x44, 0xfa, 0x16, 0x2a, 0xc9, 0xc8, 0x20, 0x9d, 0x62, 0x92, 0xbb, 0x93, 0xca,
	0xe8, 0x6e, 0x54, 0x93, 0xe8, 0xfe, 0xd0, 0x80, 0x64, 0x2f, 0x0f, 0x79, 0xb1, 0x2e, 0x5b, 0xce,
	0x10, 0x31, 0x5e, 0x6e, 0x57, 0x9c, 0x78, 0xfa, 0xae, 0x41, 0x2d, 0x75, 0x8c, 0xc9, 0xe9, 0x3a,
	0xa9, 0x66, 0x2f, 0x92, 0xf1, 0x6c, 0xe3, 0xba, 0xc4, 0xc4, 0x4f, 0x0d, 0xea, 0x79, 0x57, 0x8a,
	0xbc, 0x2a, 0xe6, 0x5c, 0x71, 0xb7, 0x8d, 0xd7, 0xdb, 0x96, 0xc7, 0xce, 0xce, 0xf7, 0x3f, 0xe9,
	0xea, 0xd3, 0x39, 0xdc, 0x53, 0x3f, 0xdd, 0xbf, 0x01, 0x00, 0x00, 0xff, 0xff, 0x02, 0x11, 0x9a,
	0x66, 0x5f, 0x07, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// AuthenticationServiceClient is the client API for AuthenticationService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type AuthenticationServiceClient interface {
	Login(ctx context.Context, in *LoginRequest, opts ...grpc.CallOption) (*LoginResponse, error)
	RequestOtp(ctx context.Context, in *RequestOtpRequest, opts ...grpc.CallOption) (*RequestOtpResponse, error)
	SubmitOtp(ctx context.Context, in *SubmitOtpRequest, opts ...grpc.CallOption) (*SubmitOtpResponse, error)
	SubmitPersonalInfo(ctx context.Context, in *SubmitPersonalInfoRequest, opts ...grpc.CallOption) (*SubmitPersonalInfoResponse, error)
	ResetPassword(ctx context.Context, in *ResetPasswordRequest, opts ...grpc.CallOption) (*ResetPasswordResponse, error)
	ConfirmResetPassword(ctx context.Context, in *ConfirmResetPasswordRequest, opts ...grpc.CallOption) (*ConfirmResetPasswordResponse, error)
}

type authenticationServiceClient struct {
	cc *grpc.ClientConn
}

func NewAuthenticationServiceClient(cc *grpc.ClientConn) AuthenticationServiceClient {
	return &authenticationServiceClient{cc}
}

func (c *authenticationServiceClient) Login(ctx context.Context, in *LoginRequest, opts ...grpc.CallOption) (*LoginResponse, error) {
	out := new(LoginResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.authentication.AuthenticationService/Login", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authenticationServiceClient) RequestOtp(ctx context.Context, in *RequestOtpRequest, opts ...grpc.CallOption) (*RequestOtpResponse, error) {
	out := new(RequestOtpResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.authentication.AuthenticationService/RequestOtp", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authenticationServiceClient) SubmitOtp(ctx context.Context, in *SubmitOtpRequest, opts ...grpc.CallOption) (*SubmitOtpResponse, error) {
	out := new(SubmitOtpResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.authentication.AuthenticationService/SubmitOtp", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authenticationServiceClient) SubmitPersonalInfo(ctx context.Context, in *SubmitPersonalInfoRequest, opts ...grpc.CallOption) (*SubmitPersonalInfoResponse, error) {
	out := new(SubmitPersonalInfoResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.authentication.AuthenticationService/SubmitPersonalInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authenticationServiceClient) ResetPassword(ctx context.Context, in *ResetPasswordRequest, opts ...grpc.CallOption) (*ResetPasswordResponse, error) {
	out := new(ResetPasswordResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.authentication.AuthenticationService/ResetPassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authenticationServiceClient) ConfirmResetPassword(ctx context.Context, in *ConfirmResetPasswordRequest, opts ...grpc.CallOption) (*ConfirmResetPasswordResponse, error) {
	out := new(ConfirmResetPasswordResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.authentication.AuthenticationService/ConfirmResetPassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// AuthenticationServiceServer is the server API for AuthenticationService service.
type AuthenticationServiceServer interface {
	Login(context.Context, *LoginRequest) (*LoginResponse, error)
	RequestOtp(context.Context, *RequestOtpRequest) (*RequestOtpResponse, error)
	SubmitOtp(context.Context, *SubmitOtpRequest) (*SubmitOtpResponse, error)
	SubmitPersonalInfo(context.Context, *SubmitPersonalInfoRequest) (*SubmitPersonalInfoResponse, error)
	ResetPassword(context.Context, *ResetPasswordRequest) (*ResetPasswordResponse, error)
	ConfirmResetPassword(context.Context, *ConfirmResetPasswordRequest) (*ConfirmResetPasswordResponse, error)
}

// UnimplementedAuthenticationServiceServer can be embedded to have forward compatible implementations.
type UnimplementedAuthenticationServiceServer struct {
}

func (*UnimplementedAuthenticationServiceServer) Login(ctx context.Context, req *LoginRequest) (*LoginResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Login not implemented")
}
func (*UnimplementedAuthenticationServiceServer) RequestOtp(ctx context.Context, req *RequestOtpRequest) (*RequestOtpResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RequestOtp not implemented")
}
func (*UnimplementedAuthenticationServiceServer) SubmitOtp(ctx context.Context, req *SubmitOtpRequest) (*SubmitOtpResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SubmitOtp not implemented")
}
func (*UnimplementedAuthenticationServiceServer) SubmitPersonalInfo(ctx context.Context, req *SubmitPersonalInfoRequest) (*SubmitPersonalInfoResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SubmitPersonalInfo not implemented")
}
func (*UnimplementedAuthenticationServiceServer) ResetPassword(ctx context.Context, req *ResetPasswordRequest) (*ResetPasswordResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ResetPassword not implemented")
}
func (*UnimplementedAuthenticationServiceServer) ConfirmResetPassword(ctx context.Context, req *ConfirmResetPasswordRequest) (*ConfirmResetPasswordResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ConfirmResetPassword not implemented")
}

func RegisterAuthenticationServiceServer(s *grpc.Server, srv AuthenticationServiceServer) {
	s.RegisterService(&_AuthenticationService_serviceDesc, srv)
}

func _AuthenticationService_Login_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthenticationServiceServer).Login(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.authentication.AuthenticationService/Login",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthenticationServiceServer).Login(ctx, req.(*LoginRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AuthenticationService_RequestOtp_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RequestOtpRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthenticationServiceServer).RequestOtp(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.authentication.AuthenticationService/RequestOtp",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthenticationServiceServer).RequestOtp(ctx, req.(*RequestOtpRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AuthenticationService_SubmitOtp_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SubmitOtpRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthenticationServiceServer).SubmitOtp(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.authentication.AuthenticationService/SubmitOtp",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthenticationServiceServer).SubmitOtp(ctx, req.(*SubmitOtpRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AuthenticationService_SubmitPersonalInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SubmitPersonalInfoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthenticationServiceServer).SubmitPersonalInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.authentication.AuthenticationService/SubmitPersonalInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthenticationServiceServer).SubmitPersonalInfo(ctx, req.(*SubmitPersonalInfoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AuthenticationService_ResetPassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ResetPasswordRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthenticationServiceServer).ResetPassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.authentication.AuthenticationService/ResetPassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthenticationServiceServer).ResetPassword(ctx, req.(*ResetPasswordRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AuthenticationService_ConfirmResetPassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ConfirmResetPasswordRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthenticationServiceServer).ConfirmResetPassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.authentication.AuthenticationService/ConfirmResetPassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthenticationServiceServer).ConfirmResetPassword(ctx, req.(*ConfirmResetPasswordRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _AuthenticationService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "com.connectroutes.authentication.AuthenticationService",
	HandlerType: (*AuthenticationServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Login",
			Handler:    _AuthenticationService_Login_Handler,
		},
		{
			MethodName: "RequestOtp",
			Handler:    _AuthenticationService_RequestOtp_Handler,
		},
		{
			MethodName: "SubmitOtp",
			Handler:    _AuthenticationService_SubmitOtp_Handler,
		},
		{
			MethodName: "SubmitPersonalInfo",
			Handler:    _AuthenticationService_SubmitPersonalInfo_Handler,
		},
		{
			MethodName: "ResetPassword",
			Handler:    _AuthenticationService_ResetPassword_Handler,
		},
		{
			MethodName: "ConfirmResetPassword",
			Handler:    _AuthenticationService_ConfirmResetPassword_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "proto/authentication.proto",
}
